Bug 387331 - when using compiz, many keybindings are not configurable.
when using compiz, many keybindings are not configurable.
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-16 13:13 EST by Zack Cerza
Modified: 2009-01-09 02:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:26:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
metacity-bindings-1 (70.10 KB, image/png)
2007-11-16 13:13 EST, Zack Cerza
no flags Details
metacity-bindings-2 (86.22 KB, image/png)
2007-11-16 13:13 EST, Zack Cerza
no flags Details
compiz-bindings (58.80 KB, image/png)
2007-11-16 13:14 EST, Zack Cerza
no flags Details

  None (edit)
Description Zack Cerza 2007-11-16 13:13:18 EST
Description of problem:
When compiz is in use, gnome-keybinding-properties won't show (or configure)
many keybindings. See attached screenshots for details.

Not sure if this is a compiz problem or a gnome problem...

Version-Release number of selected component (if applicable):
Comment 1 Zack Cerza 2007-11-16 13:13:18 EST
Created attachment 261571 [details]
Comment 2 Zack Cerza 2007-11-16 13:13:52 EST
Created attachment 261581 [details]
Comment 3 Zack Cerza 2007-11-16 13:14:13 EST
Created attachment 261591 [details]
Comment 4 Kristian Høgsberg 2007-11-19 12:17:15 EST
You can see the keybindings that are active for compiz and metacity in


50-metacity-key.xml and 50-metacity-desktop-key.xml describe metacitys window
and desktop bindings respectively and similarly for 50-compiz-key.xml and
50-compiz-desktop-key.xml.  Most of the metacity keybindings have a similar
compiz setting, but I guess we're not exposing those in the compiz key binding
files.  It should be easy enough to track down the missing key bindings in
compiz's gconf tree and add them.
Comment 5 Zack Cerza 2007-11-19 12:45:44 EST
OK. Also, the 'plane' plugin (used if you don't want 'cube') appears to not have
a couple shortcuts implemented, such as the various "move this window to this
other desktop" actions. At least I couldn't get them to work. Separate bug yes,
but does affect this.
Comment 6 Zack Cerza 2007-11-19 12:51:15 EST
Er, I missed something that might be important here. The gconf keys for compiz'
keyboard shortcuts in general seem to be tied to whatever plugin you're using,
e.g. cube, plane, wall. Won't that make this a lot harder?
Comment 7 Kristian Høgsberg 2007-11-19 13:21:30 EST
Yes, you're right... hm, that does make it a lot harder.  Not sure what the
right fix is, long term I could see GNOME standardizing on a set of windows
manager keys, independent of any windows manager.  For example,
/desktop/gnome/windows-manager/key_bindings/{move_window,desktop_left,etc} or
something, that both metacity and compiz (and others) could read out.  This also
solves the problem of duplicated keybindings between metacity and compiz.
Comment 8 Zack Cerza 2007-11-19 15:02:23 EST
That seems like the right way to do it. In fact,
/desktop/gnome/applications/window_manager does even exist, though all 4 keys in
it (which are unrelated to key bindings) were deprecated in 2.12.

I see no reason why two different window managers would want to use different
gconf keys for their keybindings, let alone one window manager using different
keys depending some arbitrary factor...
Comment 9 Adam Huffman 2008-05-17 08:39:16 EDT
Yes, it's rather annoying that I can't switch desktops when using Compiz.  Does
this need to be reported upstream?
Comment 10 Bug Zapper 2008-11-26 03:30:35 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 11 Bug Zapper 2009-01-09 02:26:33 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.